1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \	]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91TESTS = test-ddl-creator$(EXEEXT) test-bin-converter$(EXEEXT) \
92	test-sql-identifier$(EXEEXT) test-identifiers-quotes$(EXEEXT) \
93	test-sql-builder$(EXEEXT) \
94	test-connection-string-split$(EXEEXT) \
95	test-input-parsers$(EXEEXT) test-quark-list$(EXEEXT) \
96	test-sql-renderer$(EXEEXT)
97check_PROGRAMS = test-ddl-creator$(EXEEXT) test-bin-converter$(EXEEXT) \
98	test-sql-identifier$(EXEEXT) test-identifiers-quotes$(EXEEXT) \
99	test-sql-builder$(EXEEXT) \
100	test-connection-string-split$(EXEEXT) \
101	test-input-parsers$(EXEEXT) test-quark-list$(EXEEXT) \
102	test-sql-renderer$(EXEEXT)
103subdir = tests
104ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
105am__aclocal_m4_deps = $(top_srcdir)/m4/gtk-doc.m4 \
106	$(top_srcdir)/m4/intltool.m4 $(top_srcdir)/m4/libtool.m4 \
107	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
108	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
109	$(top_srcdir)/acinclude.m4 $(top_srcdir)/m4/vapigen.m4 \
110	$(top_srcdir)/m4/dk-warn.m4 $(top_srcdir)/m4/mdbtools.m4 \
111	$(top_srcdir)/m4/bdb.m4 $(top_srcdir)/m4/mysql.m4 \
112	$(top_srcdir)/m4/postgresql.m4 $(top_srcdir)/m4/firebird.m4 \
113	$(top_srcdir)/m4/oracle.m4 $(top_srcdir)/m4/java.m4 \
114	$(top_srcdir)/m4/ldap.m4 $(top_srcdir)/configure.ac
115am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
116	$(ACLOCAL_M4)
117DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
118mkinstalldirs = $(install_sh) -d
119CONFIG_CLEAN_FILES =
120CONFIG_CLEAN_VPATH_FILES =
121LTLIBRARIES = $(noinst_LTLIBRARIES)
122am__DEPENDENCIES_1 =
123libgda_test_5_0_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
124	$(top_builddir)/libgda/libgda-5.0.la
125am__objects_1 =
126am_libgda_test_5_0_la_OBJECTS = $(am__objects_1) test-errors.lo \
127	gda-ddl-creator.lo test-cnc-utils.lo data-model-errors.lo
128libgda_test_5_0_la_OBJECTS = $(am_libgda_test_5_0_la_OBJECTS)
129AM_V_lt = $(am__v_lt_@AM_V@)
130am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
131am__v_lt_0 = --silent
132am__v_lt_1 =
133libgda_test_5_0_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
134	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
135	$(AM_CFLAGS) $(CFLAGS) $(libgda_test_5_0_la_LDFLAGS) \
136	$(LDFLAGS) -o $@
137am_test_bin_converter_OBJECTS = test-bin-converter.$(OBJEXT)
138test_bin_converter_OBJECTS = $(am_test_bin_converter_OBJECTS)
139test_bin_converter_DEPENDENCIES =  \
140	$(top_builddir)/libgda/libgda-5.0.la libgda-test-5.0.la \
141	$(am__DEPENDENCIES_1)
142am_test_connection_string_split_OBJECTS =  \
143	test-connection-string-split.$(OBJEXT)
144test_connection_string_split_OBJECTS =  \
145	$(am_test_connection_string_split_OBJECTS)
146test_connection_string_split_DEPENDENCIES =  \
147	$(top_builddir)/libgda/libgda-5.0.la $(am__DEPENDENCIES_1)
148am_test_ddl_creator_OBJECTS = test-ddl-creator.$(OBJEXT)
149test_ddl_creator_OBJECTS = $(am_test_ddl_creator_OBJECTS)
150test_ddl_creator_DEPENDENCIES = $(top_builddir)/libgda/libgda-5.0.la \
151	libgda-test-5.0.la $(am__DEPENDENCIES_1)
152am_test_identifiers_quotes_OBJECTS =  \
153	test-identifiers-quotes.$(OBJEXT)
154test_identifiers_quotes_OBJECTS =  \
155	$(am_test_identifiers_quotes_OBJECTS)
156test_identifiers_quotes_DEPENDENCIES =  \
157	$(top_builddir)/libgda/libgda-5.0.la $(am__DEPENDENCIES_1)
158am_test_input_parsers_OBJECTS = test-input-parsers.$(OBJEXT)
159test_input_parsers_OBJECTS = $(am_test_input_parsers_OBJECTS)
160test_input_parsers_DEPENDENCIES =  \
161	$(top_builddir)/libgda/libgda-5.0.la $(am__DEPENDENCIES_1)
162test_quark_list_SOURCES = test-quark-list.c
163test_quark_list_OBJECTS = test-quark-list.$(OBJEXT)
164test_quark_list_DEPENDENCIES = $(top_builddir)/libgda/libgda-5.0.la \
165	$(am__DEPENDENCIES_1)
166am_test_sql_builder_OBJECTS = test-sql-builder.$(OBJEXT)
167test_sql_builder_OBJECTS = $(am_test_sql_builder_OBJECTS)
168test_sql_builder_DEPENDENCIES = $(top_builddir)/libgda/libgda-5.0.la \
169	$(am__DEPENDENCIES_1)
170am_test_sql_identifier_OBJECTS = test-sql-identifier.$(OBJEXT)
171test_sql_identifier_OBJECTS = $(am_test_sql_identifier_OBJECTS)
172test_sql_identifier_DEPENDENCIES =  \
173	$(top_builddir)/libgda/libgda-5.0.la $(am__DEPENDENCIES_1)
174am_test_sql_renderer_OBJECTS = test-sql-renderer.$(OBJEXT)
175test_sql_renderer_OBJECTS = $(am_test_sql_renderer_OBJECTS)
176test_sql_renderer_DEPENDENCIES = $(top_builddir)/libgda/libgda-5.0.la \
177	libgda-test-5.0.la $(am__DEPENDENCIES_1)
178AM_V_P = $(am__v_P_@AM_V@)
179am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
180am__v_P_0 = false
181am__v_P_1 = :
182AM_V_GEN = $(am__v_GEN_@AM_V@)
183am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
184am__v_GEN_0 = @echo "  GEN     " $@;
185am__v_GEN_1 =
186AM_V_at = $(am__v_at_@AM_V@)
187am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
188am__v_at_0 = @
189am__v_at_1 =
190DEFAULT_INCLUDES = -I.@am__isrc@
191depcomp = $(SHELL) $(top_srcdir)/depcomp
192am__maybe_remake_depfiles = depfiles
193am__depfiles_remade = ./$(DEPDIR)/data-model-errors.Plo \
194	./$(DEPDIR)/gda-ddl-creator.Plo \
195	./$(DEPDIR)/test-bin-converter.Po \
196	./$(DEPDIR)/test-cnc-utils.Plo \
197	./$(DEPDIR)/test-connection-string-split.Po \
198	./$(DEPDIR)/test-ddl-creator.Po ./$(DEPDIR)/test-errors.Plo \
199	./$(DEPDIR)/test-identifiers-quotes.Po \
200	./$(DEPDIR)/test-input-parsers.Po \
201	./$(DEPDIR)/test-quark-list.Po ./$(DEPDIR)/test-sql-builder.Po \
202	./$(DEPDIR)/test-sql-identifier.Po \
203	./$(DEPDIR)/test-sql-renderer.Po
204am__mv = mv -f
205COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
206	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
207LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
208	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
209	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
210	$(AM_CFLAGS) $(CFLAGS)
211AM_V_CC = $(am__v_CC_@AM_V@)
212am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
213am__v_CC_0 = @echo "  CC      " $@;
214am__v_CC_1 =
215CCLD = $(CC)
216LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
217	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
218	$(AM_LDFLAGS) $(LDFLAGS) -o $@
219AM_V_CCLD = $(am__v_CCLD_@AM_V@)
220am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
221am__v_CCLD_0 = @echo "  CCLD    " $@;
222am__v_CCLD_1 =
223SOURCES = $(libgda_test_5_0_la_SOURCES) $(test_bin_converter_SOURCES) \
224	$(test_connection_string_split_SOURCES) \
225	$(test_ddl_creator_SOURCES) $(test_identifiers_quotes_SOURCES) \
226	$(test_input_parsers_SOURCES) test-quark-list.c \
227	$(test_sql_builder_SOURCES) $(test_sql_identifier_SOURCES) \
228	$(test_sql_renderer_SOURCES)
229DIST_SOURCES = $(libgda_test_5_0_la_SOURCES) \
230	$(test_bin_converter_SOURCES) \
231	$(test_connection_string_split_SOURCES) \
232	$(test_ddl_creator_SOURCES) $(test_identifiers_quotes_SOURCES) \
233	$(test_input_parsers_SOURCES) test-quark-list.c \
234	$(test_sql_builder_SOURCES) $(test_sql_identifier_SOURCES) \
235	$(test_sql_renderer_SOURCES)
236RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
237	ctags-recursive dvi-recursive html-recursive info-recursive \
238	install-data-recursive install-dvi-recursive \
239	install-exec-recursive install-html-recursive \
240	install-info-recursive install-pdf-recursive \
241	install-ps-recursive install-recursive installcheck-recursive \
242	installdirs-recursive pdf-recursive ps-recursive \
243	tags-recursive uninstall-recursive
244am__can_run_installinfo = \
245  case $$AM_UPDATE_INFO_DIR in \
246    n|no|NO) false;; \
247    *) (install-info --version) >/dev/null 2>&1;; \
248  esac
249RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
250  distclean-recursive maintainer-clean-recursive
251am__recursive_targets = \
252  $(RECURSIVE_TARGETS) \
253  $(RECURSIVE_CLEAN_TARGETS) \
254  $(am__extra_recursive_targets)
255AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
256	check recheck distdir distdir-am
257am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
258# Read a list of newline-separated strings from the standard input,
259# and print each of them once, without duplicates.  Input order is
260# *not* preserved.
261am__uniquify_input = $(AWK) '\
262  BEGIN { nonempty = 0; } \
263  { items[$$0] = 1; nonempty = 1; } \
264  END { if (nonempty) { for (i in items) print i; }; } \
265'
266# Make sure the list of sources is unique.  This is necessary because,
267# e.g., the same source file might be shared among _SOURCES variables
268# for different programs/libraries.
269am__define_uniq_tagged_files = \
270  list='$(am__tagged_files)'; \
271  unique=`for i in $$list; do \
272    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
273  done | $(am__uniquify_input)`
274ETAGS = etags
275CTAGS = ctags
276am__tty_colors_dummy = \
277  mgn= red= grn= lgn= blu= brg= std=; \
278  am__color_tests=no
279am__tty_colors = { \
280  $(am__tty_colors_dummy); \
281  if test "X$(AM_COLOR_TESTS)" = Xno; then \
282    am__color_tests=no; \
283  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
284    am__color_tests=yes; \
285  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
286    am__color_tests=yes; \
287  fi; \
288  if test $$am__color_tests = yes; then \
289    red=''; \
290    grn=''; \
291    lgn=''; \
292    blu=''; \
293    mgn=''; \
294    brg=''; \
295    std=''; \
296  fi; \
297}
298am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
299am__vpath_adj = case $$p in \
300    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
301    *) f=$$p;; \
302  esac;
303am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
304am__install_max = 40
305am__nobase_strip_setup = \
306  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
307am__nobase_strip = \
308  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
309am__nobase_list = $(am__nobase_strip_setup); \
310  for p in $$list; do echo "$$p $$p"; done | \
311  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
312  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
313    if (++n[$$2] == $(am__install_max)) \
314      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
315    END { for (dir in files) print dir, files[dir] }'
316am__base_list = \
317  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
318  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
319am__uninstall_files_from_dir = { \
320  test -z "$$files" \
321    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
322    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
323         $(am__cd) "$$dir" && rm -f $$files; }; \
324  }
325am__recheck_rx = ^[ 	]*:recheck:[ 	]*
326am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
327am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
328# A command that, given a newline-separated list of test names on the
329# standard input, print the name of the tests that are to be re-run
330# upon "make recheck".
331am__list_recheck_tests = $(AWK) '{ \
332  recheck = 1; \
333  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
334    { \
335      if (rc < 0) \
336        { \
337          if ((getline line2 < ($$0 ".log")) < 0) \
338	    recheck = 0; \
339          break; \
340        } \
341      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
342        { \
343          recheck = 0; \
344          break; \
345        } \
346      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
347        { \
348          break; \
349        } \
350    }; \
351  if (recheck) \
352    print $$0; \
353  close ($$0 ".trs"); \
354  close ($$0 ".log"); \
355}'
356# A command that, given a newline-separated list of test names on the
357# standard input, create the global log from their .trs and .log files.
358am__create_global_log = $(AWK) ' \
359function fatal(msg) \
360{ \
361  print "fatal: making $@: " msg | "cat >&2"; \
362  exit 1; \
363} \
364function rst_section(header) \
365{ \
366  print header; \
367  len = length(header); \
368  for (i = 1; i <= len; i = i + 1) \
369    printf "="; \
370  printf "\n\n"; \
371} \
372{ \
373  copy_in_global_log = 1; \
374  global_test_result = "RUN"; \
375  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
376    { \
377      if (rc < 0) \
378         fatal("failed to read from " $$0 ".trs"); \
379      if (line ~ /$(am__global_test_result_rx)/) \
380        { \
381          sub("$(am__global_test_result_rx)", "", line); \
382          sub("[ 	]*$$", "", line); \
383          global_test_result = line; \
384        } \
385      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
386        copy_in_global_log = 0; \
387    }; \
388  if (copy_in_global_log) \
389    { \
390      rst_section(global_test_result ": " $$0); \
391      while ((rc = (getline line < ($$0 ".log"))) != 0) \
392      { \
393        if (rc < 0) \
394          fatal("failed to read from " $$0 ".log"); \
395        print line; \
396      }; \
397      printf "\n"; \
398    }; \
399  close ($$0 ".trs"); \
400  close ($$0 ".log"); \
401}'
402# Restructured Text title.
403am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
404# Solaris 10 'make', and several other traditional 'make' implementations,
405# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
406# by disabling -e (using the XSI extension "set +e") if it's set.
407am__sh_e_setup = case $$- in *e*) set +e;; esac
408# Default flags passed to test drivers.
409am__common_driver_flags = \
410  --color-tests "$$am__color_tests" \
411  --enable-hard-errors "$$am__enable_hard_errors" \
412  --expect-failure "$$am__expect_failure"
413# To be inserted before the command running the test.  Creates the
414# directory for the log if needed.  Stores in $dir the directory
415# containing $f, in $tst the test, in $log the log.  Executes the
416# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
417# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
418# will run the test scripts (or their associated LOG_COMPILER, if
419# thy have one).
420am__check_pre = \
421$(am__sh_e_setup);					\
422$(am__vpath_adj_setup) $(am__vpath_adj)			\
423$(am__tty_colors);					\
424srcdir=$(srcdir); export srcdir;			\
425case "$@" in						\
426  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
427    *) am__odir=.;; 					\
428esac;							\
429test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
430  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
431if test -f "./$$f"; then dir=./;			\
432elif test -f "$$f"; then dir=;				\
433else dir="$(srcdir)/"; fi;				\
434tst=$$dir$$f; log='$@'; 				\
435if test -n '$(DISABLE_HARD_ERRORS)'; then		\
436  am__enable_hard_errors=no; 				\
437else							\
438  am__enable_hard_errors=yes; 				\
439fi; 							\
440case " $(XFAIL_TESTS) " in				\
441  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
442    am__expect_failure=yes;;				\
443  *)							\
444    am__expect_failure=no;;				\
445esac; 							\
446$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
447# A shell command to get the names of the tests scripts with any registered
448# extension removed (i.e., equivalently, the names of the test logs, with
449# the '.log' extension removed).  The result is saved in the shell variable
450# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
451# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
452# since that might cause problem with VPATH rewrites for suffix-less tests.
453# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
454am__set_TESTS_bases = \
455  bases='$(TEST_LOGS)'; \
456  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
457  bases=`echo $$bases`
458RECHECK_LOGS = $(TEST_LOGS)
459TEST_SUITE_LOG = test-suite.log
460TEST_EXTENSIONS = @EXEEXT@ .test
461LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
462LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
463am__set_b = \
464  case '$@' in \
465    */*) \
466      case '$*' in \
467        */*) b='$*';; \
468          *) b=`echo '$@' | sed 's/\.log$$//'`; \
469       esac;; \
470    *) \
471      b='$*';; \
472  esac
473am__test_logs1 = $(TESTS:=.log)
474am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
475TEST_LOGS = $(am__test_logs2:.test.log=.log)
476TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
477TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
478	$(TEST_LOG_FLAGS)
479DIST_SUBDIRS = providers parser value-holders meta-store data-models \
480	multi-threading ui
481am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
482	$(top_srcdir)/test-driver
483DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
484am__relativize = \
485  dir0=`pwd`; \
486  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
487  sed_rest='s,^[^/]*/*,,'; \
488  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
489  sed_butlast='s,/*[^/]*$$,,'; \
490  while test -n "$$dir1"; do \
491    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
492    if test "$$first" != "."; then \
493      if test "$$first" = ".."; then \
494        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
495        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
496      else \
497        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
498        if test "$$first2" = "$$first"; then \
499          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
500        else \
501          dir2="../$$dir2"; \
502        fi; \
503        dir0="$$dir0"/"$$first"; \
504      fi; \
505    fi; \
506    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
507  done; \
508  reldir="$$dir2"
509ACLOCAL = @ACLOCAL@
510ALL_LINGUAS = @ALL_LINGUAS@
511AMTAR = @AMTAR@
512AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
513AR = @AR@
514AUTOCONF = @AUTOCONF@
515AUTOHEADER = @AUTOHEADER@
516AUTOMAKE = @AUTOMAKE@
517AWK = @AWK@
518BDBSQL_CFLAGS = @BDBSQL_CFLAGS@
519BDBSQL_LIBS = @BDBSQL_LIBS@
520BDB_CFLAGS = @BDB_CFLAGS@
521BDB_LIB = @BDB_LIB@
522BDB_LIBS = @BDB_LIBS@
523BINRELOC_CFLAGS = @BINRELOC_CFLAGS@
524BINRELOC_LIBS = @BINRELOC_LIBS@
525CATALOGS = @CATALOGS@
526CATOBJEXT = @CATOBJEXT@
527CC = @CC@
528CCDEPMODE = @CCDEPMODE@
529CC_FOR_BUILD = @CC_FOR_BUILD@
530CFLAGS = @CFLAGS@
531COREDEPS_CFLAGS = @COREDEPS_CFLAGS@
532COREDEPS_LIBS = @COREDEPS_LIBS@
533COREDEPS_WFLAGS = @COREDEPS_WFLAGS@
534CPP = @CPP@
535CPPFLAGS = @CPPFLAGS@
536CXX = @CXX@
537CXXCPP = @CXXCPP@
538CXXDEPMODE = @CXXDEPMODE@
539CXXFLAGS = @CXXFLAGS@
540CYGPATH_W = @CYGPATH_W@
541DATADIRNAME = @DATADIRNAME@
542DEFS = @DEFS@
543DEPDIR = @DEPDIR@
544DLLTOOL = @DLLTOOL@
545DSYMUTIL = @DSYMUTIL@
546DUMPBIN = @DUMPBIN@
547ECHO_C = @ECHO_C@
548ECHO_N = @ECHO_N@
549ECHO_T = @ECHO_T@
550EGREP = @EGREP@
551EXEEXT = @EXEEXT@
552EXEEXT_FOR_BUILD = @EXEEXT_FOR_BUILD@
553FGREP = @FGREP@
554FIREBIRD_CLIENT_CFLAGS = @FIREBIRD_CLIENT_CFLAGS@
555FIREBIRD_CLIENT_LIBS = @FIREBIRD_CLIENT_LIBS@
556FIREBIRD_EMBED_CFLAGS = @FIREBIRD_EMBED_CFLAGS@
557FIREBIRD_EMBED_LIBS = @FIREBIRD_EMBED_LIBS@
558GDA_ABI_MAJOR_VERSION = @GDA_ABI_MAJOR_VERSION@
559GDA_ABI_MINOR_VERSION = @GDA_ABI_MINOR_VERSION@
560GDA_ABI_VERSION = @GDA_ABI_VERSION@
561GDA_AGE = @GDA_AGE@
562GDA_CURRENT = @GDA_CURRENT@
563GDA_DEBUG_FLAGS = @GDA_DEBUG_FLAGS@
564GDA_DEBUG_LDFLAGS = @GDA_DEBUG_LDFLAGS@
565GDA_REVISION = @GDA_REVISION@
566GDA_VERSION = @GDA_VERSION@
567GDKPIXBUF_CFLAGS = @GDKPIXBUF_CFLAGS@
568GDKPIXBUF_LIBS = @GDKPIXBUF_LIBS@
569GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
570GIO_CFLAGS = @GIO_CFLAGS@
571GIO_LIBS = @GIO_LIBS@
572GLADE_CATALOG = @GLADE_CATALOG@
573GLADE_CFLAGS = @GLADE_CFLAGS@
574GLADE_LIBS = @GLADE_LIBS@
575GLADE_PIXMAP = @GLADE_PIXMAP@
576GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
577GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
578GMOFILES = @GMOFILES@
579GMSGFMT = @GMSGFMT@
580GNOME_KEYRING_CFLAGS = @GNOME_KEYRING_CFLAGS@
581GNOME_KEYRING_LIBS = @GNOME_KEYRING_LIBS@
582GOOCANVAS_CFLAGS = @GOOCANVAS_CFLAGS@
583GOOCANVAS_LIBS = @GOOCANVAS_LIBS@
584GRAPHVIZ_CFLAGS = @GRAPHVIZ_CFLAGS@
585GRAPHVIZ_LIBS = @GRAPHVIZ_LIBS@
586GREP = @GREP@
587GTKDOC_CHECK = @GTKDOC_CHECK@
588GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
589GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
590GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
591GTKDOC_MKPDF = @GTKDOC_MKPDF@
592GTKDOC_REBASE = @GTKDOC_REBASE@
593GTKSOURCEVIEW_CFLAGS = @GTKSOURCEVIEW_CFLAGS@
594GTKSOURCEVIEW_LIBS = @GTKSOURCEVIEW_LIBS@
595GTK_CFLAGS = @GTK_CFLAGS@
596GTK_LIBS = @GTK_LIBS@
597HELP_DIR = @HELP_DIR@
598HISTORY_LIB = @HISTORY_LIB@
599HTML_DIR = @HTML_DIR@
600INSTALL = @INSTALL@
601INSTALL_DATA = @INSTALL_DATA@
602INSTALL_PROGRAM = @INSTALL_PROGRAM@
603INSTALL_SCRIPT = @INSTALL_SCRIPT@
604INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
605INSTOBJEXT = @INSTOBJEXT@
606INTLLIBS = @INTLLIBS@
607INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
608INTLTOOL_MERGE = @INTLTOOL_MERGE@
609INTLTOOL_PERL = @INTLTOOL_PERL@
610INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
611INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
612INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
613INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
614INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
615INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
616INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
617INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
618INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
619INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
620INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
621INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
622INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
623INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
624ISO_CODES_CFLAGS = @ISO_CODES_CFLAGS@
625ISO_CODES_LIBS = @ISO_CODES_LIBS@
626ITSTOOL = @ITSTOOL@
627JAR = @JAR@
628JAVAC = @JAVAC@
629JAVA_CFLAGS = @JAVA_CFLAGS@
630JAVA_LD_PATH = @JAVA_LD_PATH@
631JAVA_LIBS = @JAVA_LIBS@
632JAVA_PROG = @JAVA_PROG@
633JFLAGS = @JFLAGS@
634JSON_GLIB_CFLAGS = @JSON_GLIB_CFLAGS@
635JSON_GLIB_LIBS = @JSON_GLIB_LIBS@
636LD = @LD@
637LDAP_CFLAGS = @LDAP_CFLAGS@
638LDAP_LIBS = @LDAP_LIBS@
639LDFLAGS = @LDFLAGS@
640LIBCRYPTO_CFLAGS = @LIBCRYPTO_CFLAGS@
641LIBCRYPTO_LIBS = @LIBCRYPTO_LIBS@
642LIBGCRYPT_CFLAGS = @LIBGCRYPT_CFLAGS@
643LIBGCRYPT_CONFIG = @LIBGCRYPT_CONFIG@
644LIBGCRYPT_LIBS = @LIBGCRYPT_LIBS@
645LIBGDA_BDB_INC = @LIBGDA_BDB_INC@
646LIBGDA_BDB_TYPE = @LIBGDA_BDB_TYPE@
647LIBGDA_DTDDIR = @LIBGDA_DTDDIR@
648LIBGDA_LDAP_INC = @LIBGDA_LDAP_INC@
649LIBGDA_LDAP_INC2 = @LIBGDA_LDAP_INC2@
650LIBGDA_LDAP_TYPE = @LIBGDA_LDAP_TYPE@
651LIBGDA_LDAP_TYPE2 = @LIBGDA_LDAP_TYPE2@
652LIBGDA_LDAP_TYPE3 = @LIBGDA_LDAP_TYPE3@
653LIBGDA_LDAP_VINC = @LIBGDA_LDAP_VINC@
654LIBICONV = @LIBICONV@
655LIBOBJS = @LIBOBJS@
656LIBS = @LIBS@
657LIBSECRET_CFLAGS = @LIBSECRET_CFLAGS@
658LIBSECRET_LIBS = @LIBSECRET_LIBS@
659LIBSOUP_CFLAGS = @LIBSOUP_CFLAGS@
660LIBSOUP_LIBS = @LIBSOUP_LIBS@
661LIBTOOL = @LIBTOOL@
662LIBTOOL_EXPORT_OPTIONS = @LIBTOOL_EXPORT_OPTIONS@
663LIBTOOL_PROV_EXPORT_OPTIONS = @LIBTOOL_PROV_EXPORT_OPTIONS@
664LIBTOOL_UI_EXPORT_OPTIONS = @LIBTOOL_UI_EXPORT_OPTIONS@
665LIBXSLT_CFLAGS = @LIBXSLT_CFLAGS@
666LIBXSLT_LIBS = @LIBXSLT_LIBS@
667LIPO = @LIPO@
668LN_S = @LN_S@
669LTLIBICONV = @LTLIBICONV@
670LTLIBOBJS = @LTLIBOBJS@
671LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
672MAC_INTEGRATION_CFLAGS = @MAC_INTEGRATION_CFLAGS@
673MAC_INTEGRATION_LIBS = @MAC_INTEGRATION_LIBS@
674MAKEINFO = @MAKEINFO@
675MANIFEST_TOOL = @MANIFEST_TOOL@
676MDB_CFLAGS = @MDB_CFLAGS@
677MDB_LIBS = @MDB_LIBS@
678MKDIR_P = @MKDIR_P@
679MKINSTALLDIRS = @MKINSTALLDIRS@
680MSGFMT = @MSGFMT@
681MSGFMT_OPTS = @MSGFMT_OPTS@
682MSGMERGE = @MSGMERGE@
683MYSQL_CFLAGS = @MYSQL_CFLAGS@
684MYSQL_CONFIG = @MYSQL_CONFIG@
685MYSQL_LIBS = @MYSQL_LIBS@
686NM = @NM@
687NMEDIT = @NMEDIT@
688NO_UNDEFINED = @NO_UNDEFINED@
689OBJDUMP = @OBJDUMP@
690OBJEXT = @OBJEXT@
691ORACLE_CFLAGS = @ORACLE_CFLAGS@
692ORACLE_LIBS = @ORACLE_LIBS@
693OTOOL = @OTOOL@
694OTOOL64 = @OTOOL64@
695PACKAGE = @PACKAGE@
696PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
697PACKAGE_NAME = @PACKAGE_NAME@
698PACKAGE_STRING = @PACKAGE_STRING@
699PACKAGE_TARNAME = @PACKAGE_TARNAME@
700PACKAGE_URL = @PACKAGE_URL@
701PACKAGE_VERSION = @PACKAGE_VERSION@
702PATH_SEPARATOR = @PATH_SEPARATOR@
703PERL = @PERL@
704PG_CONFIG = @PG_CONFIG@
705PKG_CONFIG = @PKG_CONFIG@
706PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
707PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
708POFILES = @POFILES@
709POSTGRES_CFLAGS = @POSTGRES_CFLAGS@
710POSTGRES_LIBS = @POSTGRES_LIBS@
711POSUB = @POSUB@
712PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
713PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
714RANLIB = @RANLIB@
715READLINE_LIB = @READLINE_LIB@
716REBUILD = @REBUILD@
717SED = @SED@
718SET_MAKE = @SET_MAKE@
719SHELL = @SHELL@
720SQLITE_CFLAGS = @SQLITE_CFLAGS@
721SQLITE_LIBS = @SQLITE_LIBS@
722SQLITE_PATH = @SQLITE_PATH@
723SQLITE_VERS = @SQLITE_VERS@
724STRIP = @STRIP@
725USE_NLS = @USE_NLS@
726VALAC = @VALAC@
727VAPIGEN = @VAPIGEN@
728VERSION = @VERSION@
729WINDRES = @WINDRES@
730XGETTEXT = @XGETTEXT@
731XMLLINT = @XMLLINT@
732YELP_BUILD = @YELP_BUILD@
733YELP_LC_DIST = @YELP_LC_DIST@
734YELP_LC_MEDIA_LINKS = @YELP_LC_MEDIA_LINKS@
735_GI_EXP_DATADIR = @_GI_EXP_DATADIR@
736_GI_EXP_LIBDIR = @_GI_EXP_LIBDIR@
737abs_builddir = @abs_builddir@
738abs_srcdir = @abs_srcdir@
739abs_top_builddir = @abs_top_builddir@
740abs_top_srcdir = @abs_top_srcdir@
741ac_ct_AR = @ac_ct_AR@
742ac_ct_CC = @ac_ct_CC@
743ac_ct_CXX = @ac_ct_CXX@
744ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
745am__include = @am__include@
746am__leading_dot = @am__leading_dot@
747am__quote = @am__quote@
748am__tar = @am__tar@
749am__untar = @am__untar@
750bindir = @bindir@
751build = @build@
752build_alias = @build_alias@
753build_cpu = @build_cpu@
754build_os = @build_os@
755build_vendor = @build_vendor@
756builddir = @builddir@
757datadir = @datadir@
758datarootdir = @datarootdir@
759docdir = @docdir@
760dvidir = @dvidir@
761exec_prefix = @exec_prefix@
762gdasysconfdir = @gdasysconfdir@
763host = @host@
764host_alias = @host_alias@
765host_cpu = @host_cpu@
766host_os = @host_os@
767host_vendor = @host_vendor@
768htmldir = @htmldir@
769includedir = @includedir@
770infodir = @infodir@
771install_sh = @install_sh@
772intltool__v_merge_options_ = @intltool__v_merge_options_@
773intltool__v_merge_options_0 = @intltool__v_merge_options_0@
774libdir = @libdir@
775libexecdir = @libexecdir@
776localedir = @localedir@
777localstatedir = @localstatedir@
778mandir = @mandir@
779mkdir_p = @mkdir_p@
780oldincludedir = @oldincludedir@
781pdfdir = @pdfdir@
782prefix = @prefix@
783program_transform_name = @program_transform_name@
784psdir = @psdir@
785runstatedir = @runstatedir@
786sbindir = @sbindir@
787sharedstatedir = @sharedstatedir@
788srcdir = @srcdir@
789sysconfdir = @sysconfdir@
790target_alias = @target_alias@
791top_build_prefix = @top_build_prefix@
792top_builddir = @top_builddir@
793top_srcdir = @top_srcdir@
794noinst_LTLIBRARIES = libgda-test-5.0.la
795TESTS_ENVIRONMENT = GDA_TOP_SRC_DIR="$(abs_top_srcdir)" GDA_TOP_BUILD_DIR="$(abs_top_builddir)"
796@HAVE_UI_TRUE@UI_EXTENSION = ui
797SUBDIRS = providers parser value-holders meta-store data-models multi-threading $(UI_EXTENSION) $(VALA_EXTENSIONS)
798AM_CPPFLAGS = \
799        -I$(top_builddir) \
800        -I$(top_srcdir) \
801        -I$(top_srcdir)/libgda \
802        $(COREDEPS_CFLAGS) \
803	$(COREDEPS_WFLAGS) \
804	-DCHECK_FILES=\""$(top_srcdir)"\" \
805	-DTOP_BUILD_DIR=\""$(top_builddir)"\"
806
807test_headers = \
808        gda-ddl-creator.h
809
810libgda_test_5_0_la_SOURCES = \
811        $(test_headers) \
812	test-errors.h \
813	test-errors.c \
814        gda-ddl-creator.c \
815	test-cnc-utils.h \
816	test-cnc-utils.c \
817	data-model-errors.h \
818	data-model-errors.c
819
820libgda_test_5_0_la_LDFLAGS = $(NO_UNDEFINED)
821libgda_test_5_0_la_LIBADD = \
822	$(COREDEPS_LIBS) \
823	$(top_builddir)/libgda/libgda-5.0.la
824
825test_ddl_creator_SOURCES = \
826        test-ddl-creator.c
827
828test_ddl_creator_LDADD = \
829        $(top_builddir)/libgda/libgda-5.0.la \
830	libgda-test-5.0.la \
831        $(COREDEPS_LIBS)
832
833test_bin_converter_SOURCES = \
834        test-bin-converter.c
835
836test_bin_converter_LDADD = \
837        $(top_builddir)/libgda/libgda-5.0.la \
838	libgda-test-5.0.la \
839        $(COREDEPS_LIBS)
840
841test_sql_identifier_SOURCES = \
842        test-sql-identifier.c
843
844test_sql_identifier_LDADD = \
845        $(top_builddir)/libgda/libgda-5.0.la \
846        $(COREDEPS_LIBS)
847
848test_identifiers_quotes_SOURCES = \
849        test-identifiers-quotes.c
850
851test_identifiers_quotes_LDADD = \
852        $(top_builddir)/libgda/libgda-5.0.la \
853        $(COREDEPS_LIBS)
854
855test_sql_builder_SOURCES = \
856        test-sql-builder.c
857
858test_sql_builder_LDADD = \
859        $(top_builddir)/libgda/libgda-5.0.la \
860        $(COREDEPS_LIBS)
861
862test_connection_string_split_SOURCES = \
863        test-connection-string-split.c
864
865test_connection_string_split_LDADD = \
866        $(top_builddir)/libgda/libgda-5.0.la \
867        $(COREDEPS_LIBS)
868
869test_input_parsers_SOURCES = \
870        test-input-parsers.c
871
872test_input_parsers_LDADD = \
873        $(top_builddir)/libgda/libgda-5.0.la \
874        $(COREDEPS_LIBS)
875
876test_quark_list_LDADD = \
877        $(top_builddir)/libgda/libgda-5.0.la \
878        $(COREDEPS_LIBS)
879
880test_sql_renderer_SOURCES = \
881        test-sql-renderer.c
882
883test_sql_renderer_LDADD = \
884        $(top_builddir)/libgda/libgda-5.0.la \
885	libgda-test-5.0.la \
886        $(COREDEPS_LIBS)
887
888EXTRA_DIST = dbstruct.xml
889all: all-recursive
890
891.SUFFIXES:
892.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
893$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
894	@for dep in $?; do \
895	  case '$(am__configure_deps)' in \
896	    *$$dep*) \
897	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
898	        && { if test -f $@; then exit 0; else break; fi; }; \
899	      exit 1;; \
900	  esac; \
901	done; \
902	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
903	$(am__cd) $(top_srcdir) && \
904	  $(AUTOMAKE) --gnu tests/Makefile
905Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
906	@case '$?' in \
907	  *config.status*) \
908	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
909	  *) \
910	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
911	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
912	esac;
913
914$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
915	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
916
917$(top_srcdir)/configure:  $(am__configure_deps)
918	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
919$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
920	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
921$(am__aclocal_m4_deps):
922
923clean-checkPROGRAMS:
924	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
925	echo " rm -f" $$list; \
926	rm -f $$list || exit $$?; \
927	test -n "$(EXEEXT)" || exit 0; \
928	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
929	echo " rm -f" $$list; \
930	rm -f $$list
931
932clean-noinstLTLIBRARIES:
933	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
934	@list='$(noinst_LTLIBRARIES)'; \
935	locs=`for p in $$list; do echo $$p; done | \
936	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
937	      sort -u`; \
938	test -z "$$locs" || { \
939	  echo rm -f $${locs}; \
940	  rm -f $${locs}; \
941	}
942
943libgda-test-5.0.la: $(libgda_test_5_0_la_OBJECTS) $(libgda_test_5_0_la_DEPENDENCIES) $(EXTRA_libgda_test_5_0_la_DEPENDENCIES)
944	$(AM_V_CCLD)$(libgda_test_5_0_la_LINK)  $(libgda_test_5_0_la_OBJECTS) $(libgda_test_5_0_la_LIBADD) $(LIBS)
945
946test-bin-converter$(EXEEXT): $(test_bin_converter_OBJECTS) $(test_bin_converter_DEPENDENCIES) $(EXTRA_test_bin_converter_DEPENDENCIES)
947	@rm -f test-bin-converter$(EXEEXT)
948	$(AM_V_CCLD)$(LINK) $(test_bin_converter_OBJECTS) $(test_bin_converter_LDADD) $(LIBS)
949
950test-connection-string-split$(EXEEXT): $(test_connection_string_split_OBJECTS) $(test_connection_string_split_DEPENDENCIES) $(EXTRA_test_connection_string_split_DEPENDENCIES)
951	@rm -f test-connection-string-split$(EXEEXT)
952	$(AM_V_CCLD)$(LINK) $(test_connection_string_split_OBJECTS) $(test_connection_string_split_LDADD) $(LIBS)
953
954test-ddl-creator$(EXEEXT): $(test_ddl_creator_OBJECTS) $(test_ddl_creator_DEPENDENCIES) $(EXTRA_test_ddl_creator_DEPENDENCIES)
955	@rm -f test-ddl-creator$(EXEEXT)
956	$(AM_V_CCLD)$(LINK) $(test_ddl_creator_OBJECTS) $(test_ddl_creator_LDADD) $(LIBS)
957
958test-identifiers-quotes$(EXEEXT): $(test_identifiers_quotes_OBJECTS) $(test_identifiers_quotes_DEPENDENCIES) $(EXTRA_test_identifiers_quotes_DEPENDENCIES)
959	@rm -f test-identifiers-quotes$(EXEEXT)
960	$(AM_V_CCLD)$(LINK) $(test_identifiers_quotes_OBJECTS) $(test_identifiers_quotes_LDADD) $(LIBS)
961
962test-input-parsers$(EXEEXT): $(test_input_parsers_OBJECTS) $(test_input_parsers_DEPENDENCIES) $(EXTRA_test_input_parsers_DEPENDENCIES)
963	@rm -f test-input-parsers$(EXEEXT)
964	$(AM_V_CCLD)$(LINK) $(test_input_parsers_OBJECTS) $(test_input_parsers_LDADD) $(LIBS)
965
966test-quark-list$(EXEEXT): $(test_quark_list_OBJECTS) $(test_quark_list_DEPENDENCIES) $(EXTRA_test_quark_list_DEPENDENCIES)
967	@rm -f test-quark-list$(EXEEXT)
968	$(AM_V_CCLD)$(LINK) $(test_quark_list_OBJECTS) $(test_quark_list_LDADD) $(LIBS)
969
970test-sql-builder$(EXEEXT): $(test_sql_builder_OBJECTS) $(test_sql_builder_DEPENDENCIES) $(EXTRA_test_sql_builder_DEPENDENCIES)
971	@rm -f test-sql-builder$(EXEEXT)
972	$(AM_V_CCLD)$(LINK) $(test_sql_builder_OBJECTS) $(test_sql_builder_LDADD) $(LIBS)
973
974test-sql-identifier$(EXEEXT): $(test_sql_identifier_OBJECTS) $(test_sql_identifier_DEPENDENCIES) $(EXTRA_test_sql_identifier_DEPENDENCIES)
975	@rm -f test-sql-identifier$(EXEEXT)
976	$(AM_V_CCLD)$(LINK) $(test_sql_identifier_OBJECTS) $(test_sql_identifier_LDADD) $(LIBS)
977
978test-sql-renderer$(EXEEXT): $(test_sql_renderer_OBJECTS) $(test_sql_renderer_DEPENDENCIES) $(EXTRA_test_sql_renderer_DEPENDENCIES)
979	@rm -f test-sql-renderer$(EXEEXT)
980	$(AM_V_CCLD)$(LINK) $(test_sql_renderer_OBJECTS) $(test_sql_renderer_LDADD) $(LIBS)
981
982mostlyclean-compile:
983	-rm -f *.$(OBJEXT)
984
985distclean-compile:
986	-rm -f *.tab.c
987
988@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/data-model-errors.Plo@am__quote@ # am--include-marker
989@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gda-ddl-creator.Plo@am__quote@ # am--include-marker
990@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-bin-converter.Po@am__quote@ # am--include-marker
991@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-cnc-utils.Plo@am__quote@ # am--include-marker
992@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-connection-string-split.Po@am__quote@ # am--include-marker
993@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-ddl-creator.Po@am__quote@ # am--include-marker
994@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-errors.Plo@am__quote@ # am--include-marker
995@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-identifiers-quotes.Po@am__quote@ # am--include-marker
996@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-input-parsers.Po@am__quote@ # am--include-marker
997@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-quark-list.Po@am__quote@ # am--include-marker
998@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-sql-builder.Po@am__quote@ # am--include-marker
999@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-sql-identifier.Po@am__quote@ # am--include-marker
1000@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-sql-renderer.Po@am__quote@ # am--include-marker
1001
1002$(am__depfiles_remade):
1003	@$(MKDIR_P) $(@D)
1004	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
1005
1006am--depfiles: $(am__depfiles_remade)
1007
1008.c.o:
1009@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1010@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1011@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1012@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1013@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1014
1015.c.obj:
1016@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1017@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1018@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1019@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1020@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1021
1022.c.lo:
1023@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1024@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1025@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1026@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1027@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1028
1029mostlyclean-libtool:
1030	-rm -f *.lo
1031
1032clean-libtool:
1033	-rm -rf .libs _libs
1034
1035# This directory's subdirectories are mostly independent; you can cd
1036# into them and run 'make' without going through this Makefile.
1037# To change the values of 'make' variables: instead of editing Makefiles,
1038# (1) if the variable is set in 'config.status', edit 'config.status'
1039#     (which will cause the Makefiles to be regenerated when you run 'make');
1040# (2) otherwise, pass the desired values on the 'make' command line.
1041$(am__recursive_targets):
1042	@fail=; \
1043	if $(am__make_keepgoing); then \
1044	  failcom='fail=yes'; \
1045	else \
1046	  failcom='exit 1'; \
1047	fi; \
1048	dot_seen=no; \
1049	target=`echo $@ | sed s/-recursive//`; \
1050	case "$@" in \
1051	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1052	  *) list='$(SUBDIRS)' ;; \
1053	esac; \
1054	for subdir in $$list; do \
1055	  echo "Making $$target in $$subdir"; \
1056	  if test "$$subdir" = "."; then \
1057	    dot_seen=yes; \
1058	    local_target="$$target-am"; \
1059	  else \
1060	    local_target="$$target"; \
1061	  fi; \
1062	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1063	  || eval $$failcom; \
1064	done; \
1065	if test "$$dot_seen" = "no"; then \
1066	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1067	fi; test -z "$$fail"
1068
1069ID: $(am__tagged_files)
1070	$(am__define_uniq_tagged_files); mkid -fID $$unique
1071tags: tags-recursive
1072TAGS: tags
1073
1074tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1075	set x; \
1076	here=`pwd`; \
1077	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1078	  include_option=--etags-include; \
1079	  empty_fix=.; \
1080	else \
1081	  include_option=--include; \
1082	  empty_fix=; \
1083	fi; \
1084	list='$(SUBDIRS)'; for subdir in $$list; do \
1085	  if test "$$subdir" = .; then :; else \
1086	    test ! -f $$subdir/TAGS || \
1087	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1088	  fi; \
1089	done; \
1090	$(am__define_uniq_tagged_files); \
1091	shift; \
1092	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1093	  test -n "$$unique" || unique=$$empty_fix; \
1094	  if test $$# -gt 0; then \
1095	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1096	      "$$@" $$unique; \
1097	  else \
1098	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1099	      $$unique; \
1100	  fi; \
1101	fi
1102ctags: ctags-recursive
1103
1104CTAGS: ctags
1105ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1106	$(am__define_uniq_tagged_files); \
1107	test -z "$(CTAGS_ARGS)$$unique" \
1108	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1109	     $$unique
1110
1111GTAGS:
1112	here=`$(am__cd) $(top_builddir) && pwd` \
1113	  && $(am__cd) $(top_srcdir) \
1114	  && gtags -i $(GTAGS_ARGS) "$$here"
1115cscopelist: cscopelist-recursive
1116
1117cscopelist-am: $(am__tagged_files)
1118	list='$(am__tagged_files)'; \
1119	case "$(srcdir)" in \
1120	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1121	  *) sdir=$(subdir)/$(srcdir) ;; \
1122	esac; \
1123	for i in $$list; do \
1124	  if test -f "$$i"; then \
1125	    echo "$(subdir)/$$i"; \
1126	  else \
1127	    echo "$$sdir/$$i"; \
1128	  fi; \
1129	done >> $(top_builddir)/cscope.files
1130
1131distclean-tags:
1132	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1133
1134# Recover from deleted '.trs' file; this should ensure that
1135# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1136# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1137# to avoid problems with "make -n".
1138.log.trs:
1139	rm -f $< $@
1140	$(MAKE) $(AM_MAKEFLAGS) $<
1141
1142# Leading 'am--fnord' is there to ensure the list of targets does not
1143# expand to empty, as could happen e.g. with make check TESTS=''.
1144am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1145am--force-recheck:
1146	@:
1147
1148$(TEST_SUITE_LOG): $(TEST_LOGS)
1149	@$(am__set_TESTS_bases); \
1150	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1151	redo_bases=`for i in $$bases; do \
1152	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1153	            done`; \
1154	if test -n "$$redo_bases"; then \
1155	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1156	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1157	  if $(am__make_dryrun); then :; else \
1158	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1159	  fi; \
1160	fi; \
1161	if test -n "$$am__remaking_logs"; then \
1162	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1163	       "recursion detected" >&2; \
1164	elif test -n "$$redo_logs"; then \
1165	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1166	fi; \
1167	if $(am__make_dryrun); then :; else \
1168	  st=0;  \
1169	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1170	  for i in $$redo_bases; do \
1171	    test -f $$i.trs && test -r $$i.trs \
1172	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1173	    test -f $$i.log && test -r $$i.log \
1174	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1175	  done; \
1176	  test $$st -eq 0 || exit 1; \
1177	fi
1178	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1179	ws='[ 	]'; \
1180	results=`for b in $$bases; do echo $$b.trs; done`; \
1181	test -n "$$results" || results=/dev/null; \
1182	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1183	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1184	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1185	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1186	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1187	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1188	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1189	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1190	  success=true; \
1191	else \
1192	  success=false; \
1193	fi; \
1194	br='==================='; br=$$br$$br$$br$$br; \
1195	result_count () \
1196	{ \
1197	    if test x"$$1" = x"--maybe-color"; then \
1198	      maybe_colorize=yes; \
1199	    elif test x"$$1" = x"--no-color"; then \
1200	      maybe_colorize=no; \
1201	    else \
1202	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1203	    fi; \
1204	    shift; \
1205	    desc=$$1 count=$$2; \
1206	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1207	      color_start=$$3 color_end=$$std; \
1208	    else \
1209	      color_start= color_end=; \
1210	    fi; \
1211	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1212	}; \
1213	create_testsuite_report () \
1214	{ \
1215	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1216	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1217	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1218	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1219	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1220	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1221	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1222	}; \
1223	{								\
1224	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1225	    $(am__rst_title);						\
1226	  create_testsuite_report --no-color;				\
1227	  echo;								\
1228	  echo ".. contents:: :depth: 2";				\
1229	  echo;								\
1230	  for b in $$bases; do echo $$b; done				\
1231	    | $(am__create_global_log);					\
1232	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1233	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1234	if $$success; then						\
1235	  col="$$grn";							\
1236	 else								\
1237	  col="$$red";							\
1238	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1239	fi;								\
1240	echo "$${col}$$br$${std}"; 					\
1241	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1242	echo "$${col}$$br$${std}"; 					\
1243	create_testsuite_report --maybe-color;				\
1244	echo "$$col$$br$$std";						\
1245	if $$success; then :; else					\
1246	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1247	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1248	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1249	  fi;								\
1250	  echo "$$col$$br$$std";					\
1251	fi;								\
1252	$$success || exit 1
1253
1254check-TESTS: $(check_PROGRAMS)
1255	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1256	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1257	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1258	@set +e; $(am__set_TESTS_bases); \
1259	log_list=`for i in $$bases; do echo $$i.log; done`; \
1260	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1261	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1262	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1263	exit $$?;
1264recheck: all $(check_PROGRAMS)
1265	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1266	@set +e; $(am__set_TESTS_bases); \
1267	bases=`for i in $$bases; do echo $$i; done \
1268	         | $(am__list_recheck_tests)` || exit 1; \
1269	log_list=`for i in $$bases; do echo $$i.log; done`; \
1270	log_list=`echo $$log_list`; \
1271	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1272	        am__force_recheck=am--force-recheck \
1273	        TEST_LOGS="$$log_list"; \
1274	exit $$?
1275test-ddl-creator.log: test-ddl-creator$(EXEEXT)
1276	@p='test-ddl-creator$(EXEEXT)'; \
1277	b='test-ddl-creator'; \
1278	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1279	--log-file $$b.log --trs-file $$b.trs \
1280	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1281	"$$tst" $(AM_TESTS_FD_REDIRECT)
1282test-bin-converter.log: test-bin-converter$(EXEEXT)
1283	@p='test-bin-converter$(EXEEXT)'; \
1284	b='test-bin-converter'; \
1285	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1286	--log-file $$b.log --trs-file $$b.trs \
1287	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1288	"$$tst" $(AM_TESTS_FD_REDIRECT)
1289test-sql-identifier.log: test-sql-identifier$(EXEEXT)
1290	@p='test-sql-identifier$(EXEEXT)'; \
1291	b='test-sql-identifier'; \
1292	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1293	--log-file $$b.log --trs-file $$b.trs \
1294	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1295	"$$tst" $(AM_TESTS_FD_REDIRECT)
1296test-identifiers-quotes.log: test-identifiers-quotes$(EXEEXT)
1297	@p='test-identifiers-quotes$(EXEEXT)'; \
1298	b='test-identifiers-quotes'; \
1299	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1300	--log-file $$b.log --trs-file $$b.trs \
1301	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1302	"$$tst" $(AM_TESTS_FD_REDIRECT)
1303test-sql-builder.log: test-sql-builder$(EXEEXT)
1304	@p='test-sql-builder$(EXEEXT)'; \
1305	b='test-sql-builder'; \
1306	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1307	--log-file $$b.log --trs-file $$b.trs \
1308	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1309	"$$tst" $(AM_TESTS_FD_REDIRECT)
1310test-connection-string-split.log: test-connection-string-split$(EXEEXT)
1311	@p='test-connection-string-split$(EXEEXT)'; \
1312	b='test-connection-string-split'; \
1313	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1314	--log-file $$b.log --trs-file $$b.trs \
1315	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1316	"$$tst" $(AM_TESTS_FD_REDIRECT)
1317test-input-parsers.log: test-input-parsers$(EXEEXT)
1318	@p='test-input-parsers$(EXEEXT)'; \
1319	b='test-input-parsers'; \
1320	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1321	--log-file $$b.log --trs-file $$b.trs \
1322	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1323	"$$tst" $(AM_TESTS_FD_REDIRECT)
1324test-quark-list.log: test-quark-list$(EXEEXT)
1325	@p='test-quark-list$(EXEEXT)'; \
1326	b='test-quark-list'; \
1327	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1328	--log-file $$b.log --trs-file $$b.trs \
1329	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1330	"$$tst" $(AM_TESTS_FD_REDIRECT)
1331test-sql-renderer.log: test-sql-renderer$(EXEEXT)
1332	@p='test-sql-renderer$(EXEEXT)'; \
1333	b='test-sql-renderer'; \
1334	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1335	--log-file $$b.log --trs-file $$b.trs \
1336	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1337	"$$tst" $(AM_TESTS_FD_REDIRECT)
1338.test.log:
1339	@p='$<'; \
1340	$(am__set_b); \
1341	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1342	--log-file $$b.log --trs-file $$b.trs \
1343	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1344	"$$tst" $(AM_TESTS_FD_REDIRECT)
1345@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1346@am__EXEEXT_TRUE@	@p='$<'; \
1347@am__EXEEXT_TRUE@	$(am__set_b); \
1348@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1349@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1350@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1351@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1352
1353distdir: $(BUILT_SOURCES)
1354	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1355
1356distdir-am: $(DISTFILES)
1357	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1358	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1359	list='$(DISTFILES)'; \
1360	  dist_files=`for file in $$list; do echo $$file; done | \
1361	  sed -e "s|^$$srcdirstrip/||;t" \
1362	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1363	case $$dist_files in \
1364	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1365			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1366			   sort -u` ;; \
1367	esac; \
1368	for file in $$dist_files; do \
1369	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1370	  if test -d $$d/$$file; then \
1371	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1372	    if test -d "$(distdir)/$$file"; then \
1373	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1374	    fi; \
1375	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1376	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1377	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1378	    fi; \
1379	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1380	  else \
1381	    test -f "$(distdir)/$$file" \
1382	    || cp -p $$d/$$file "$(distdir)/$$file" \
1383	    || exit 1; \
1384	  fi; \
1385	done
1386	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1387	  if test "$$subdir" = .; then :; else \
1388	    $(am__make_dryrun) \
1389	      || test -d "$(distdir)/$$subdir" \
1390	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1391	      || exit 1; \
1392	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1393	    $(am__relativize); \
1394	    new_distdir=$$reldir; \
1395	    dir1=$$subdir; dir2="$(top_distdir)"; \
1396	    $(am__relativize); \
1397	    new_top_distdir=$$reldir; \
1398	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1399	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1400	    ($(am__cd) $$subdir && \
1401	      $(MAKE) $(AM_MAKEFLAGS) \
1402	        top_distdir="$$new_top_distdir" \
1403	        distdir="$$new_distdir" \
1404		am__remove_distdir=: \
1405		am__skip_length_check=: \
1406		am__skip_mode_fix=: \
1407	        distdir) \
1408	      || exit 1; \
1409	  fi; \
1410	done
1411check-am: all-am
1412	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1413	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1414check: check-recursive
1415all-am: Makefile $(LTLIBRARIES)
1416installdirs: installdirs-recursive
1417installdirs-am:
1418install: install-recursive
1419install-exec: install-exec-recursive
1420install-data: install-data-recursive
1421uninstall: uninstall-recursive
1422
1423install-am: all-am
1424	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1425
1426installcheck: installcheck-recursive
1427install-strip:
1428	if test -z '$(STRIP)'; then \
1429	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1430	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1431	      install; \
1432	else \
1433	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1434	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1435	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1436	fi
1437mostlyclean-generic:
1438	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1439	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1440	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1441
1442clean-generic:
1443
1444distclean-generic:
1445	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1446	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1447
1448maintainer-clean-generic:
1449	@echo "This command is intended for maintainers to use"
1450	@echo "it deletes files that may require special tools to rebuild."
1451clean: clean-recursive
1452
1453clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1454	clean-noinstLTLIBRARIES mostlyclean-am
1455
1456distclean: distclean-recursive
1457		-rm -f ./$(DEPDIR)/data-model-errors.Plo
1458	-rm -f ./$(DEPDIR)/gda-ddl-creator.Plo
1459	-rm -f ./$(DEPDIR)/test-bin-converter.Po
1460	-rm -f ./$(DEPDIR)/test-cnc-utils.Plo
1461	-rm -f ./$(DEPDIR)/test-connection-string-split.Po
1462	-rm -f ./$(DEPDIR)/test-ddl-creator.Po
1463	-rm -f ./$(DEPDIR)/test-errors.Plo
1464	-rm -f ./$(DEPDIR)/test-identifiers-quotes.Po
1465	-rm -f ./$(DEPDIR)/test-input-parsers.Po
1466	-rm -f ./$(DEPDIR)/test-quark-list.Po
1467	-rm -f ./$(DEPDIR)/test-sql-builder.Po
1468	-rm -f ./$(DEPDIR)/test-sql-identifier.Po
1469	-rm -f ./$(DEPDIR)/test-sql-renderer.Po
1470	-rm -f Makefile
1471distclean-am: clean-am distclean-compile distclean-generic \
1472	distclean-tags
1473
1474dvi: dvi-recursive
1475
1476dvi-am:
1477
1478html: html-recursive
1479
1480html-am:
1481
1482info: info-recursive
1483
1484info-am:
1485
1486install-data-am:
1487
1488install-dvi: install-dvi-recursive
1489
1490install-dvi-am:
1491
1492install-exec-am:
1493
1494install-html: install-html-recursive
1495
1496install-html-am:
1497
1498install-info: install-info-recursive
1499
1500install-info-am:
1501
1502install-man:
1503
1504install-pdf: install-pdf-recursive
1505
1506install-pdf-am:
1507
1508install-ps: install-ps-recursive
1509
1510install-ps-am:
1511
1512installcheck-am:
1513
1514maintainer-clean: maintainer-clean-recursive
1515		-rm -f ./$(DEPDIR)/data-model-errors.Plo
1516	-rm -f ./$(DEPDIR)/gda-ddl-creator.Plo
1517	-rm -f ./$(DEPDIR)/test-bin-converter.Po
1518	-rm -f ./$(DEPDIR)/test-cnc-utils.Plo
1519	-rm -f ./$(DEPDIR)/test-connection-string-split.Po
1520	-rm -f ./$(DEPDIR)/test-ddl-creator.Po
1521	-rm -f ./$(DEPDIR)/test-errors.Plo
1522	-rm -f ./$(DEPDIR)/test-identifiers-quotes.Po
1523	-rm -f ./$(DEPDIR)/test-input-parsers.Po
1524	-rm -f ./$(DEPDIR)/test-quark-list.Po
1525	-rm -f ./$(DEPDIR)/test-sql-builder.Po
1526	-rm -f ./$(DEPDIR)/test-sql-identifier.Po
1527	-rm -f ./$(DEPDIR)/test-sql-renderer.Po
1528	-rm -f Makefile
1529maintainer-clean-am: distclean-am maintainer-clean-generic
1530
1531mostlyclean: mostlyclean-recursive
1532
1533mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1534	mostlyclean-libtool
1535
1536pdf: pdf-recursive
1537
1538pdf-am:
1539
1540ps: ps-recursive
1541
1542ps-am:
1543
1544uninstall-am:
1545
1546.MAKE: $(am__recursive_targets) check-am install-am install-strip
1547
1548.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1549	am--depfiles check check-TESTS check-am clean \
1550	clean-checkPROGRAMS clean-generic clean-libtool \
1551	clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1552	distclean-compile distclean-generic distclean-libtool \
1553	distclean-tags distdir dvi dvi-am html html-am info info-am \
1554	install install-am install-data install-data-am install-dvi \
1555	install-dvi-am install-exec install-exec-am install-html \
1556	install-html-am install-info install-info-am install-man \
1557	install-pdf install-pdf-am install-ps install-ps-am \
1558	install-strip installcheck installcheck-am installdirs \
1559	installdirs-am maintainer-clean maintainer-clean-generic \
1560	mostlyclean mostlyclean-compile mostlyclean-generic \
1561	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1562	uninstall uninstall-am
1563
1564.PRECIOUS: Makefile
1565
1566
1567# Tell versions [3.59,3.63) of GNU make to not export all variables.
1568# Otherwise a system limit (for SysV at least) may be exceeded.
1569.NOEXPORT:
1570